Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 77992 - app-misc/mc : Multiple vulnerabilities
Summary: app-misc/mc : Multiple vulnerabilities
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All All
: High normal (vote)
Assignee: Gentoo Security
URL: http://www.debian.org/security/2005/d...
Whiteboard: B2 [glsa] jaervosz
Keywords:
Depends on:
Blocks:
 
Reported: 2005-01-14 09:56 UTC by Jean-François Brunette (RETIRED)
Modified: 2009-08-05 11:26 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-François Brunette (RETIRED) gentoo-dev 2005-01-14 09:56:28 UTC
Andrew V. Samoilov has noticed that several bugfixes which were applied to the source by upstream developers of mc, the midnight commander, a file browser and manager, were not backported to the current version of mc that Debian ships in their stable release. The Common Vulnerabilities and Exposures Project identifies the following vulnerabilities:

    * CAN-2004-1004

      Multiple format string vulnerabilities
    * CAN-2004-1005

      Multiple buffer overflows
    * CAN-2004-1009

      One infinite loop vulnerability
    * CAN-2004-1090

      Denial of service via corrupted section header
    * CAN-2004-1091

      Denial of service via null dereference
    * CAN-2004-1092

      Freeing unallocated memory
    * CAN-2004-1093

      Denial of service via use of already freed memory
    * CAN-2004-1174

      Denial of service via manipulating non-existing file handles
    * CAN-2004-1175

      Unintended program execution via insecure filename quoting
    * CAN-2004-1176

      Denial of service via a buffer underflow
Comment 1 Sune Kloppenborg Jeppesen gentoo-dev 2005-01-14 10:10:56 UTC
Heinrich please verify and advise.
Comment 2 Thierry Carrez (RETIRED) gentoo-dev 2005-02-02 02:35:24 UTC
lanius: if you think you won't have time for such a large-scale patch, should we mask mc ? Or do you think you can find another maintainer/herd to help you ?
Comment 3 Heinrich Wendel (RETIRED) gentoo-dev 2005-02-12 04:23:25 UTC
I had to apply parts of/the complete patches of:

CAN-2004-1004
CAN-2004-1005
CAN-2004-1092
CAN-2004-1176

mc-4.6.0-r13 marked: amd64,x86

mc-4.6.0-r13 missing keywords: ~alpha ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc

Comment 4 Sune Kloppenborg Jeppesen gentoo-dev 2005-02-12 13:19:28 UTC
Thx Heinrich.

Arches please test and mark stable.
Comment 5 Michael Hanselmann (hansmi) (RETIRED) gentoo-dev 2005-02-12 13:36:36 UTC
Stable on ppc.
Comment 6 Markus Rothe (RETIRED) gentoo-dev 2005-02-13 00:42:13 UTC
stable on ppc64
Comment 7 Bryan Østergaard (RETIRED) gentoo-dev 2005-02-13 02:55:19 UTC
Stable on alpha.
Comment 8 Jason Wever (RETIRED) gentoo-dev 2005-02-13 09:41:22 UTC
Stable on SPARC.
Comment 9 Thierry Carrez (RETIRED) gentoo-dev 2005-02-15 01:24:31 UTC
lanius: this wasn't keyworded x86 and amd64.
Comment 10 Heinrich Wendel (RETIRED) gentoo-dev 2005-02-15 06:04:52 UTC
sorry, now it is
Comment 11 Sune Kloppenborg Jeppesen gentoo-dev 2005-02-17 13:08:05 UTC
Thx everyone

GLSA 200502-24

mips please remember to mark stable.
Comment 12 Hardave Riar (RETIRED) gentoo-dev 2005-02-19 14:47:44 UTC
Stable on mips.